package cc.smtweb.framework.core.session;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 用户会话缓存，前端调用API时传输 Auto_Token 参数来查找用户会话
 * @author xkliu
 */
@Getter @Setter
public class UserSession implements Serializable {
    private static final long serialVersionUID = 3854315462714888716L;
    // 用户ID
    private long userId;
    // 当前组织ID
    private long companyId;
    // 站点ID
    private long siteId;
    // 终端类型
    private byte terminalType;

    public static UserSession createSys() {
        UserSession us = new UserSession();
        us.userId = 1;
        us.companyId = 1;
        us.terminalType = 0;
        return  us;
    }
}
