package cc.smtweb.framework.file.spring;

import cc.smtweb.framework.core.mvc.config.ControllerConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @author kevin
 */
@Configuration
@ComponentScan
public class FileAutoConfiguration {

  /** 配置自定义service扫描路径 {module}/{service}/{method} */
  @Bean
  public ControllerConfig fileControllerConfig() {
    return new ControllerConfig("file", "cc.smtweb.framework.file.web");
  }

}
