package cc.smtweb.framework.web.spring;

import cc.smtweb.framework.core.mvc.config.ControllerConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @author kevin
 */
@Configuration
@ComponentScan
public class WebAutoConfiguration {

  /** 配置自定义service扫描路径 {module}/{service}/{method} */
  @Bean
  public ControllerConfig webControllerConfig() {
    return new ControllerConfig("web", "cc.smtweb.framework.web.web");
  }
}
