package cc.smtweb.system.bpm.core.annotation;

/**
 * 数据模型事件类型
 * @author xkliu
 */
public interface BpmEventType {
  /**
   * 卡片模型
   */
  int CARD_BEFORE_LOAD = 101;
  int CARD_LOAD = 102;
  int CARD_AFTER_LOAD = 103;
  int CARD_BEFORE_SAVE = 104;
  int CARD_SAVE = 105;
  int CARD_AFTER_SAVE = 106;
  int CARD_BEFORE_REMOVE = 107;
  int CARD_REMOVE = 108;
  int CARD_AFTER_REMOVE = 109;
//  int CARD_LOAD_LOOKUP = 16;
  /**
   * 列表模型
   */
  int LIST_BEFORE_LIST = 201;
  int LIST_LIST = 202;
  int LIST_AFTER_LIST = 203;
  int LIST_BEFORE_COUNT = 204;
  int LIST_COUNT = 205;
  int LIST_AFTER_COUNT = 206;
  /**
   * 树模型
   */
  int TREE_BEFORE_TREE = 301;
  int TREE_TREE = 302;
  int TREE_AFTER_TREE = 303;
  int TREE_BEFORE_MOVE = 304;
  int TREE_MOVE = 305;
  int TREE_AFTER_MOVE = 306;
}
