package cc.smtweb.system.bpm.core.ui;

/**
 * 前端页面参数名
 * @author xkliu
 */
public interface IParamConst {
  // 请求参数
  String PARAM_PAGE_ID = "pageId";
  String PARAM_PAGE_NAME = "pageName";
  String PARAM_DATASET = "dataset";
  String PARAM_ID = "id";
  String PARAMS_IDS = "ids";
  String PARAM_PARENT_ID = "dataParentId";
  String PARAM_ORDERS = "dataOrders";
  // 分页参数
  String PARAM_PAGE_INDEX = "pageIndex";
  String PARAM_PAGE_SIZE = "pageSize";
  int PAGE_DEFAULT_SIZE = 20;
  // 字段参数后缀
  String LOOKUP_TEXT = "_text";
  String LOOKUP_KEY = "_key";
  // lookup : select/tree
  String OPTION_KEY = "optKey";
  String OPTION_LABEL = "optLabel";
  String OPTION_ORDER = "optOrder";
  // tree 返回值
  String TREE_CHILDREN = "children";
}
