package cc.smtweb.system.bpm.core.ui.service;

import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.system.bpm.spring.dao.DatasetConfigDao;

/**
 * 基于数据集的服务
 * @author xkliu
 */
public abstract class AbstractDatasetService {
  @SwParam
  protected DatasetConfigDao datasetConfigDao;

  @SwParam
  protected DbEngine dbEngine;

  // 非服务继承时设置
  protected void init(DbEngine dbEngine, DatasetConfigDao datasetConfigDao) {
    this.dbEngine = dbEngine;
    this.datasetConfigDao = datasetConfigDao;
  }

  /**
   * 初始化事件调度器中的事件
   * @param handler 事件调度器
   */
//  protected abstract void setup(T handler);
//
//  /**
//   * 加载对应的页面上下问，包括数据集
//   * @param body 页面参数
//   * @param userSession 用户会话
//   * @return 返回数据集对象
//   */
//  protected abstract PageContext context(SwMap body, UserSession userSession);
}
