package cc.smtweb.system.bpm.core.ui.service;

import cc.smtweb.system.bpm.core.ui.BpmPageContext;
import cc.smtweb.system.bpm.core.ui.entity.dataset.BpmDataset;

public abstract class DatasetWorker {
  protected BpmPageContext pageContext;

  public DatasetWorker(BpmPageContext pageContext) {
    this.pageContext = pageContext;
  }

  public BpmDataset getDataset() {
    return pageContext.getDataset();
  }

  public BpmPageContext getPageContext() {
    return pageContext;
  }
}
