package cc.smtweb.system.bpm.engine.process.loader.vo;

import lombok.Data;

import java.util.List;

@Data
public class ActionVO {
  public static final String TYPE_COMMIT = "commitAction";
  public static final String TYPE_SAVE = "saveAction";
  public static final String TYPE_RETURN = "returnAction";
  public static final String TYPE_TRANSMIT = "transmitAction";
  public static final String TYPE_FINISH = "finishAction";
  public static final String TYPE_REJECT = "rejectAction";

  private String id;
  private String type;
  private List<ConnectionVO> connections;
  private ActionPropsVO props;
}
