package cc.smtweb.system.bpm.engine.process.loader.vo;

import lombok.Data;

/** 执行人 */
@Data
public class NodeUsersVO {
  /** 所有人 */
  public static final String TYPE_ALL = "all";
  /** 角色 */
  public static final String TYPE_ROLE = "role";
  /** 用户组 */
  public static final String TYPE_USER_GROUP = "userGroup";
  /** 用户 */
  public static final String TYPE_USER = "user";
  /** 部门 */
  public static final String TYPE_DEPT = "dept";
  /** 表单字段 */
  public static final String TYPE_FIELD = "field";
  /** 表达式 */
  public static final String TYPE_EXP = "exp";
  /** API接口 */
  public static final String TYPE_API = "api";

  /** 本部门 */
  public static final String FILTER_CUR_DEPT = "curDept";
  /** 子部门 */
  public static final String FILTER_SUB_DEPT = "subDept";
  /** 上级部门 */
  public static final String FILTER_UP_DEPT = "upDept";
  /** 本人 */
  public static final String FILTER_CUR_USER = "curUser";
  /** 本部门负责人 */
  public static final String FILTER_CUR_MANAGER = "curManager";
  /** 上级部门负责人 */
  public static final String FILTER_UP_MANAGER = "upManager";

  /** 类型 */
  private String type;
  /** 目标值 */
  private NodeUserTargetVO target;
  /** 过滤条件 */
  private String filter;
}
