package cc.smtweb.system.bpm.engine.process.runtime;

import lombok.Data;

@Data
public class ProcessInfo {
  protected Long id;
  private Long parentId;
  private Long rootId;
  private Long businessKey;
  private String name;
  private byte priority;
  /** 乐观锁 */
  protected int lockRev;

  private boolean concurrent;

  private long createAt;

  private long updateAt;

  public void assign(ProcessInfo source) {
    this.parentId = source.parentId;
    this.rootId = source.rootId;
    this.businessKey = source.businessKey;
    this.name = source.name;
    this.priority = source.priority;
  }

}
