package cc.smtweb.system.bpm.engine.process.task;

import cc.smtweb.system.bpm.engine.process.runtime.ProcessInstance;
import cc.smtweb.system.bpm.engine.process.vo.FlowNode;
import lombok.Getter;

public class Task extends TaskInfo {
  @Getter
  private ProcessInstance processInstance;

  /** 需要选人的节点ID */
//  @Getter @Setter
//  private String nextNodeKey;

  @Getter
  private String nodeKey;

  public Task(long id, ProcessInstance processInstance) {
    this.id = id;
    this.processInstance = processInstance;
    FlowNode curNode = processInstance.getCurNode();

    if (curNode != null) {
      this.setName(curNode.getLabel());
      this.nodeKey = curNode.getId();
    }
  }

  public void incLockRev() {
    this.lockRev++;
  }
}
