package cc.smtweb.system.bpm.engine.process.vo;

import lombok.Data;

@Data
public class FlowNodeUser {
  /** 所有人 */
  public static final int TYPE_ALL = 0;
  /** 角色 */
  public static final int TYPE_ROLE = 1;
  /** 用户组 */
  public static final int TYPE_USER_GROUP = 2;
  /** 用户 */
  public static final int TYPE_USER = 3;
  /** 部门 */
  public static final int TYPE_DEPT = 4;
  /** 表单字段 */
  public static final int TYPE_FIELD = 5;
  /** 表达式 */
  public static final int TYPE_EXP = 6;
  /** API接口 */
  public static final int TYPE_API = 7;

  /** 本部门 */
  public static final int FILTER_NONE = 0;
  /** 本部门 */
  public static final int FILTER_CUR_DEPT = 1;
  /** 子部门 */
  public static final int FILTER_SUB_DEPT = 2;
  /** 上级部门 */
  public static final int FILTER_UP_DEPT = 3;
  /** 本人 */
  public static final int FILTER_CUR_USER = 4;
  /** 本部门负责人 */
  public static final int FILTER_CUR_MANAGER = 5;
  /** 上级部门负责人 */
  public static final int FILTER_UP_MANAGER = 6;

  private int type;
  private String target;
  private int filter;
}
