package cc.smtweb.system.bpm.engine.ui.entity.vo.dataset;

import cc.smtweb.system.bpm.core.ui.entity.dataset.BpmDatasetSql;
import lombok.Data;

@Data
public class FzDatasetPropsVO {
    public static final String TYPE_MASTER = "master";
    public static final String TYPE_SLAVE = "slave";
    public static final String TYPE_LOOKUP = "lookup";

    private String datasource;
    private String table;
    private String tableType;
    private Integer dataModel;
    private FzFieldVO[] fields;
    private String masterDataset;
    private FzMasterMappingVO masterFields;
    private String customApi;
    private String name;
    private String label;
    private boolean initData;

    private BpmDatasetSql sql;
}
