package cc.smtweb.system.bpm.engine.ui.entity.yaml;

import cc.smtweb.system.bpm.engine.ui.entity.consts.MappingTypeEnum;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Data;

import java.util.List;

@Data
public class YamlFieldLookup {
  @JacksonXmlProperty(isAttribute=true)
  private String type;
  @JacksonXmlProperty(isAttribute=true)
  private MappingTypeEnum mappingType;
  @JacksonXmlProperty(isAttribute=true)
  private boolean numberValue;
  @JacksonXmlProperty(isAttribute=true)
  private String db;
  @JacksonXmlProperty(isAttribute=true)
  private String table;
  @JacksonXmlProperty(isAttribute=true)
  private String keyField;
  @JacksonXmlProperty(isAttribute=true)
  private String labelField;
  @JacksonXmlProperty(isAttribute=true)
  private String parentField;
  @JacksonXmlProperty(isAttribute=true)
  private String orderField;

  private YamlFieldLookupMiddle middle;

  @JacksonXmlProperty(localName = "filter")
  @JacksonXmlElementWrapper(useWrapping = false)
  private List<YamlFieldFilter> filters;
}
