package cc.smtweb.system.bpm.engine.ui.entity.yaml;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Data;

import java.util.List;

@Data
public class YamlMasterMapping {
  // 映射到主表的类型
  @JacksonXmlProperty(isAttribute=true)
  private String mappingType;
  // 主表名
  @JacksonXmlProperty(isAttribute=true)
  private String masterTable;
  // 中间表名
  @JacksonXmlProperty(isAttribute=true)
  private String middleTable;
  // 映射字段列表
  @JacksonXmlProperty(localName = "mappingField")
  @JacksonXmlElementWrapper(useWrapping = false)
  private List<YamlMappingField> mappingFields;
}
