package cc.smtweb.system.bpm.spring;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "smtweb.bpm")
@Data
public class BpmConfigBean {
  // 是否debug模式
  private boolean debug;
  private boolean codeBuild;
  private String codeVuePath;
  private String codeVueDir;
  private String codeJavaPath;
  private String codeJavaPackage;
  /** UI控件扩展定义路径 */
  private String configUiPath;
}
