package cc.smtweb.system.bpm.spring.cache;

import cc.smtweb.system.bpm.engine.entity.AspModelPO;
import cc.smtweb.system.bpm.engine.ui.loader.IPageRouter;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ListPageRouter implements IPageRouter {
  private Map<Long, AspModelPO> map = new HashMap<>();

  public ListPageRouter(List<AspModelPO> list) {
    for (AspModelPO item: list) {
      map.put(item.getModelId(), item);
    }
  }

  @Override
  public String loadFullName(Long pageId) {
    AspModelPO po = map.get(pageId);
    if (po != null) {
      return po.getModelFullName();
    }

    return null;
  }
}
