package cc.smtweb.system.bpm.web.design.dict;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.system.bpm.web.design.dict.entity.DictTypePO;

import java.util.List;

@SwService
public class DictTypeListService {
  @SwParam
  private DbEngine dbEngine;

  public R list() {
    List<DictTypePO> list = dbEngine.query("select dt_id, dt_name, dt_desc from sw_user.sys_dict_type order by dt_name",
            DictTypePO.class);
    return R.success(list);
  }
}
