package cc.smtweb.system.bpm.web.design.modelcatalog;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.engine.entity.AspModelCatalogPO;

import java.util.List;

@SwService
public class AspModelCatalogListService {
  @SwParam
  private DbEngine dbEngine;

  public R list(UserSession us) {
    String sql = "select mc_id, mc_parent_id, mc_code, mc_site_id, mc_name, mc_module, mc_create_time, mc_last_time from sw_bpm.asp_model_catalog" +
            " where mc_site_id=?";
    List<AspModelCatalogPO> list = dbEngine.query(sql, AspModelCatalogPO.class, us.getSiteId());

    return R.success(list);
  }
}
