package cc.smtweb.system.bpm.web.design.preview;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.design.preview.entity.AppVO;

@SwService
public class PreviewAppCardService {
  @SwParam
  private DbEngine dbEngine;

  public R load(@SwParam("module") String module, UserSession us) {
    String sql = "select mc_id id, mc_name name, mc_module module from sw_bpm.asp_model_catalog" +
            " where mc_module=? and mc_site_id=?";
    AppVO app = dbEngine.queryEntity(sql, AppVO.class, module, us.getSiteId());
    if (app == null) {
      return R.error(module + " 模块不存在!");
    }
    return R.success(app);
  }
}
