package cc.smtweb.system.bpm.web.design.table;

import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.vo.ModelTable;
import cc.smtweb.framework.core.mvc.service.*;
import cc.smtweb.framework.core.db.vo.ModelCatalog;

/**
 * Created by Akmm at 2022/3/22 9:12
 */
@SwService
public class ModelTableService extends AbstractCompService {
    @Override
    protected IHandler createHandler(String type) {
        switch (type) {
            case TYPE_LOAD:
                return new DefaultLoadHandler<ModelCatalog>(ModelTable.ENTITY_NAME);
            case TYPE_SAVE:
                return new DefaultSaveHandler<>(ModelTable.ENTITY_NAME);
            case TYPE_DEL:
                return new DefaultDelHandler<>(ModelTable.ENTITY_NAME);
            case TYPE_LIST:
                return new DefaultListHandler<>(ModelTable.ENTITY_NAME);
            case TYPE_COMBO:
                return new ModelTableComboHandler();

        }
        return null;
    }
}
