package cc.smtweb.system.bpm.web.flow;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.engine.entity.AspModelPO;

import java.util.List;

// @Api(tags = "工作流流程接口")
@SwService
public class BpmFlowListService {
  @SwParam
  private DbEngine dbEngine;

//  @ApiOperation(value = "读取流程列表")
  public R list(UserSession us) {
    String sql = "select model_id, model_mc_id, model_site_id, model_name, model_status, model_content, model_type, model_version, model_create_uid, model_update_uid, model_create_time, model_last_time from sw_bpm.asp_model" +
            " where model_type=? order by model_id";
    List<AspModelPO> list = dbEngine.query(sql, AspModelPO.class, 2);

    return R.success(list);
  }
}
