package cc.smtweb.system.bpm.test.codegen.test;

import cc.smtweb.system.bpm.util.YamlUtil;
import lombok.Data;
import org.junit.jupiter.api.Test;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class YamlTest {
  @Test
  public void testLoad() throws Exception {
    YamlTable table = new YamlTable();
    table.setName("table");
    for (int i = 0; i < 10; i++) {
      YamlField field = new YamlField();
      field.setFieldName("field" + i);
      field.setName("name" + i);
      field.setLabel("label" + i);
      table.getFields().add(field);
    }

    YamlUtil.writeValue(new File("/var/1.yaml"), table);
  }
}

@Data
class YamlTable {
  private String name;
  private List<YamlField> fields = new ArrayList<>();
}

@Data
class YamlField {
//  @JacksonYamlProperty
  private String fieldName;
  private String name;
  private String label;
}
