package cc.smtweb.framework.auth.spring;

import cc.smtweb.framework.core.mvc.config.ControllerConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @author kevin
 */
@Configuration
@ComponentScan
public class AuthAutoConfiguration {

  /** 配置自定义service扫描路径 {module}/{service}/{method} */
  @Bean
  public ControllerConfig authControllerConfig() {
    return new ControllerConfig("auth", "cc.smtweb.framework.auth.web");
  }

}
