package cc.smtweb.system.bpm.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 数据模型注解，放到@SwService类中使用
 * @author xkliu
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface BpmEvent {

  /** 数据集地址，如 uc.perm.perm.sysRoleMenuPrivilege */
  String dataset();
  /** 事件类型, BpmEventType */
  int event();
}
