package cc.smtweb.system.bpm.core.ui.entity.dataset;

import cc.smtweb.system.bpm.engine.ui.entity.consts.MappingTypeEnum;
import cc.smtweb.system.bpm.engine.ui.entity.consts.UiEnum;
import lombok.Getter;

@Getter
public class BpmFieldDict extends AbstractBpmFieldLookup {
  private final String dictType;
//  public static final int TYPE = 2;

  @Override
  public int type() {
    return UiEnum.FieldLookupType.DICT;
  }

  @Override
  public MappingTypeEnum getMappingType() {
    return MappingTypeEnum.manyToOne;
  }

  public BpmFieldDict(String dbName, String table, boolean isNumber, String dictType) {
    super(dbName, table, isNumber);
    this.dictType = dictType;
  }
}
