package cc.smtweb.system.bpm.engine.entity;

import lombok.Data;

/**
 * asp_model
 * @author xkliu
 */
@Data
public class AspModelPO {
  // 模型类型:
  /** 数据模型 */
  public static final byte TYPE_DB = 1;
  /** 工作流模型 */
  public static final byte TYPE_FLOW = 2;
  /** PC界面模型 */
  public static final byte TYPE_UI_PC = 3;
  /** 手机界面模型 */
  public static final byte TYPE_UI_MOBILE = 4;

  private Long modelId;
  private Long modelParentId;
	private Long modelMcId;
  private String modelKey;
	private String modelName;
  private int modelStatus;
  private String modelContent;
  private String modelContentSign;
  private byte modelType;
  private byte modelSubType;
  private int modelVersion;
  private Long modelCreateTime;
  private Long modelLastTime;
  private String modelFullName;
  private byte modelUseVue;
  private byte modelUseYaml;
}
