package cc.smtweb.system.bpm.engine.entity;

import cc.smtweb.framework.core.annotation.SwColumn;
import cc.smtweb.framework.core.annotation.SwColumnForeign;
import cc.smtweb.framework.core.annotation.SwTable;
import lombok.Data;

@Data
@SwTable("sw_user.sys_dict")
public class DictPO {
  @SwColumn(type = SwColumn.Type.ID)
  private Long dictId;

  @SwColumn(type = SwColumn.Type.MASTER_ID)
  @SwColumnForeign(table="sw_user.sys_dict_type", id="dt_id", code="dt_name")
  private Long dictDtId;

  @SwColumn(type = {SwColumn.Type.CODE, SwColumn.Type.ORDER})
  private String dictCode;

  private String dictLabel;
}
