package cc.smtweb.system.bpm.engine.process.impl.entity;

import cc.smtweb.system.bpm.engine.process.vo.FlowNode;
import cc.smtweb.system.bpm.web.task.entity.UserPO;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class NodeUsersVO {
  private String actionKey;
  private String nodeKey;
  private List<NodeUserVO> nodes = new ArrayList<>();

  public void add(NodeUserVO nodeUserVO) {
    nodes.add(nodeUserVO);
  }

  public NodeUserVO add(FlowNode flowNode) {
    return add(flowNode, null);
  }

  public NodeUserVO add(FlowNode flowNode, List<UserPO> users) {
    NodeUserVO result = new NodeUserVO(flowNode, users);
    nodes.add(result);

    return result;
  }
}
