package cc.smtweb.system.bpm.engine.process.loader.vo;

import lombok.Data;

import java.util.List;

@Data
public class NodeVO {
  /** 开始 */
  public static final String TYPE_BEGIN = "beginNode";
  /** 结束 */
  public static final String TYPE_END = "endNode";
  /** 任务 */
  public static final String TYPE_MANUAL = "manualNode" ;
  /** 会签 */
  public static final String TYPE_MULTI_SIGN = "multSignNode";
  /** 条件 */
  public static final String TYPE_CONDITION = "conditionNode";
  /** 分支 */
  public static final String TYPE_SPLIT = "splitNode";
  /** 聚合 */
  public static final String TYPE_MERGE = "mergeNode";
  /** 子流程 */
  public static final String TYPE_SUB_FLOW = "subFlowNode";
  /** 自动 */
  public static final String TYPE_AUTO = "autoNode";

  private String id;
  private String type;
  private List<ActionVO> columns;
  private NodePropsVO props;
}
