package cc.smtweb.system.bpm.engine.process.runtime;

import lombok.Data;

import java.util.List;

@Data
public class ProcessRouteItem {
  /** 节点Key */
  private String node;
  /** 子流程ID */
  private List<Long> sub;

  public boolean findProcess(long processId) {
    if (sub != null) {
      for (Long id: sub) {
        if (id == processId) {
          return true;
        }
      }
    }

    return false;
  }
}