package cc.smtweb.system.bpm.engine.ui.entity.vo.widiget;

import cc.smtweb.framework.core.SwMap;
import org.apache.commons.lang3.StringUtils;

import java.util.List;
import java.util.Map;

public class UiControlPropsVO extends SwMap {
  public List readList(String name) {
    Object v = get(name);

    if (v instanceof List) {
      return (List)v;
    }

    return null;
  }

  public boolean isNotBlank(String name) {
    Object v = get(name);
    if (v == null) {
      return false;
    }

    return StringUtils.isNotBlank(v.toString());
  }

  public Map<String, Object> readMap(String name) {
    Object item = get(name);

    if (item instanceof Map) {
      return (Map<String, Object>) item;
    }

    return null;
  }
}
