package cc.smtweb.system.bpm.engine.ui.entity.yaml;

import lombok.Data;

import java.util.List;

@Data
public class YamlDataset {
  private String name;
  private String database;
  private String table;
  // 数据模型
  private String dataModel;
  // 是否只读
  private boolean readonly;
  private String customApi;
  private Boolean initData;
  // 与主表的映射关系
  private YamlMasterMapping masterMapping;
  // 字段列表，name => UiField
  private List<YamlField> fields;

  private YamlDatasetSql sql;
}
