package cc.smtweb.system.bpm.web.design.codegen;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class UiPageRef {
  private Map<String, String> routes = new HashMap<>();
  private Map<String, Map<String, Object>> widgets = new HashMap<>();
  private Long id;
  private String name;
  private String dir;
  private String routerName;

  public void addWidget(String name, Map<String, Object> props) {
    widgets.put(name, props);
  }

//  public void addLookupDataset(String dataset, String field) {
//    lookups.add(dataset + "_" + field);
//  }
}
