package cc.smtweb.system.bpm.web.design.model;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.engine.entity.AspModelPO;

import java.util.List;

// @Api(tags = "数据模型")
@SwService
public class AspModelListService {
  @SwParam
  private DbEngine dbEngine;

//  @ApiOperation(value = "数据模型列表")
  public R list(@SwParam("type") long type, UserSession us) {
    String sql = "select model_id, model_mc_id, model_site_id, model_name, model_key, model_status, model_type, model_sub_type, model_version, model_create_uid, model_update_uid, model_create_time, model_last_time from sw_bpm.asp_model" +
            " where model_site_id=? and model_type=?";
    List<AspModelPO> list = dbEngine.query(sql, AspModelPO.class,us.getSiteId(), type);
    return R.success(list);
  }
}
