package cc.smtweb.system.bpm.web.design.preview;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.design.preview.entity.AppVO;

import java.util.List;

@SwService
public class PreviewAppListService {
  @SwParam
  private DbEngine dbEngine;

  public R listAll(UserSession us) {
    String sql = "select mc_id id, mc_name name, mc_module module from sw_bpm.asp_model_catalog" +
            " where mc_site_id=? order by mc_name";
    List<AppVO> list = dbEngine.query(sql, AppVO.class, us.getSiteId());
    if (list != null) {
      for (AppVO app: list) {
        app.setUrl("/static/uc/index.html#/?module=" + app.getModule());
      }
    }
    return R.success(list);
  }
}
