package cc.smtweb.system.bpm.test.codegen.test;

import cc.smtweb.system.bpm.core.ui.entity.BpmPage;
import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
import org.apache.velocity.app.VelocityEngine;
import org.apache.velocity.runtime.RuntimeConstants;
import org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader;
import org.junit.jupiter.api.Test;

import java.io.OutputStreamWriter;
import java.io.Writer;

public class VuegenTest {
  private BpmPage loadUiPage() throws Exception {
//    UiPcLoader uiPageLoader = new UiPcLoader(new FileDbCache(), null);
//
//    BpmPage result = uiPageLoader.load(FileUtils.readFile("/ui/508660168293093376.json"));
//    result.setId(508660168293093376L);
//
//    return result;
    return null;
  }

  @Test
  public void testPrint() throws Exception {
    VelocityEngine ve = new VelocityEngine();
    ve.setProperty(RuntimeConstants.RESOURCE_LOADER, "classpath");
    ve.setProperty("classpath.resource.loader.class", ClasspathResourceLoader.class.getName());
    ve.init();
    // 载入（获取）模板对象
    Template t = ve.getTemplate("/template/index.vm");
    VelocityContext ctx = new VelocityContext();
    // 域对象加入参数值
    BpmPage uiPage = loadUiPage();
    ctx.put("forms", uiPage.getForms());
    ctx.put("vmTool", new VmTool());
    ctx.put("pageId",  uiPage.getId());

    Writer writer = new OutputStreamWriter(System.out);
    t.merge(ctx, writer);
    writer.flush();
  }
}
